<template>
  <div>
    <a-result
      title="注册成功"
      status="success"
      sub-title="请妥善保管您的账号，如忘记可通过手机短信验证码找回密码"
    />
  </div>
</template>

<script lang="ts" setup>
  import { storeToRefs } from 'pinia';
  import { useThemeStore } from '@/store/modules/theme';
  import type { StepForm } from '../model';

  // 是否开启响应式布局
  const themeStore = useThemeStore();
  const { styleResponsive } = storeToRefs(themeStore);

  defineProps<{
    // 修改回显的数据
    data?: StepForm | null;
  }>();

  const emit = defineEmits<{
    (e: 'back'): void;
  }>();

  const back = () => {
    emit('back');
  };
</script>
